@import "avenir_lt";
@import "variables";

/* ##### BASIC STYLES (DESKTOP) ##### */
#home {
  height: 100vh;
  background-color: red;
  display: flex;
  flex-wrap: nowrap;
  justify-content: center;

  .user-dashboard {
    position: relative;
    height: 100vh;
    width: calc(100vw / 3);
    transition: all 500ms ease-out;

    a {
      display: flex;
      justify-content: center;
      height: 100%;
      width: 100%;

      h2 {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        text-align: center;
        color: white;
        font-size: 3rem;
      }
    }

    &:nth-of-type(1) {
      background: $green;

      &:hover {
        background: darken($green, 5);
        transition: all 500ms;
      }
    }

    &:nth-of-type(2) {
      background: $blue;

      &:hover {
        background: darken($blue, 5);
        transition: all 500ms;
      }
    }

    &:nth-of-type(3) {
      background: $yellow;

      &:hover {
        background: darken($yellow, 5);
        transition: all 500ms;
      }
    }

  }

}

/* ##### MOBILE ##### */
@media (max-aspect-ratio: 1/1) {
  #home {
    flex-wrap: wrap;

    .user-dashboard {
      height: calc(100vh / 3);
      width: 100vw;
    }
  }
}
